| Flutter Linux Embedder |

Public Attributes | List of all members
_FlView Struct Reference

## Public Attributes
GtkBox | parent_instance
GtkWidget * | event_box
GtkDrawingArea * | render_area
GdkGLContext * | render_context
FlEngine * | engine
FlCompositor * | compositor
guint | on_pre_engine_restart_cb_id
guint | update_semantics_cb_id
FlutterViewId | view_id
GdkRGBA * | background_color
gboolean | have_first_frame
FlWindowStateMonitor * | window_state_monitor
FlScrollingManager * | scrolling_manager
FlPointerManager * | pointer_manager
FlTouchManager * | touch_manager
FlViewAccessible * | view_accessible
guint | cursor_changed_cb_id
GCancellable * | cancellable

## Detailed Description

Definition at line 31 of file fl_view.cc.

## Member Data Documentation

## ◆ background_color

GdkRGBA* _FlView::background_color

Definition at line 59 of file fl_view.cc.

## ◆ cancellable

GCancellable* _FlView::cancellable

Definition at line 82 of file fl_view.cc.

## ◆ compositor

FlCompositor* _FlView::compositor

Definition at line 47 of file fl_view.cc.

## ◆ cursor_changed_cb_id

guint _FlView::cursor_changed_cb_id

Definition at line 80 of file fl_view.cc.

## ◆ engine

FlEngine* _FlView::engine

Definition at line 44 of file fl_view.cc.

## ◆ event_box

GtkWidget* _FlView::event_box

Definition at line 35 of file fl_view.cc.

## ◆ have_first_frame

gboolean _FlView::have_first_frame

Definition at line 62 of file fl_view.cc.

## ◆ on_pre_engine_restart_cb_id

guint _FlView::on_pre_engine_restart_cb_id

Definition at line 50 of file fl_view.cc.

## ◆ parent_instance

GtkBox _FlView::parent_instance

Definition at line 32 of file fl_view.cc.

## ◆ pointer_manager

FlPointerManager* _FlView::pointer_manager

Definition at line 71 of file fl_view.cc.

## ◆ render_area

GtkDrawingArea* _FlView::render_area

Definition at line 38 of file fl_view.cc.

## ◆ render_context

GdkGLContext* _FlView::render_context

Definition at line 41 of file fl_view.cc.

## ◆ scrolling_manager

FlScrollingManager* _FlView::scrolling_manager

Definition at line 68 of file fl_view.cc.

## ◆ touch_manager

FlTouchManager* _FlView::touch_manager

Definition at line 74 of file fl_view.cc.

## ◆ update_semantics_cb_id

guint _FlView::update_semantics_cb_id

Definition at line 53 of file fl_view.cc.

## ◆ view_accessible

FlViewAccessible* _FlView::view_accessible

Definition at line 77 of file fl_view.cc.

## ◆ view_id

FlutterViewId _FlView::view_id

Definition at line 56 of file fl_view.cc.

## ◆ window_state_monitor

FlWindowStateMonitor* _FlView::window_state_monitor

Definition at line 65 of file fl_view.cc.

The documentation for this struct was generated from the following file:

- shell/platform/linux/fl_view.cc